export const importFormSchema: any[] = [
  {
    field: 'deptId',
    label: '导入至',
    component: 'TreeSelect',
    colProps: { lg: 24, md: 24 },
    componentProps: {
      fieldNames: {
        label: 'deptName',
        value: 'businessId',
      },
      treeData: [
        {
          deptName: '个人工作组',
          businessId: '1',
          children: [
            {
              deptName: '个人工作区',
              businessId: '11',
              children: [
                {
                  deptName: '图标验收',
                  businessId: '111',
                },
              ],
            },
            {
              deptName: '共享工作区',
              businessId: '12',
              children: [
                {
                  deptName: '学生成绩',
                  businessId: '122',
                },
              ],
            },
          ],
        },
      ],
    },
    required: true,
  },
  {
    field: 'fileMethods',
    label: '导入文件选择',
    slot: 'fileMethods',
    colProps: { lg: 24, md: 24 },
  },
  {
    field: 'fileRename',
    label: '文件重名',
    component: 'RadioGroup',
    required: true,
    colProps: { lg: 24, md: 24 },
    componentProps: {
      options: [
        { label: '全部放弃', value: '1' },
        { label: '全部替换', value: '2' },
        { label: '自动重命名', value: '3' },
      ],
    },
    defaultValue: '1',
  },
];
